Summary: Open Motif runtime libraries and executables.
Name: openmotif
Version: 2.1.30
Release: 13.21AS.6
License: Open Group Public License
Group: System Environment/Libraries
Source: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/tars/%{name}%{version}.tar.bz2
URL: http://www.openmotif.opengroup.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch1
Patch1: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch2
Patch2: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch3
Patch3: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch4
Patch4: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch5 
Patch10: openmotif2.1.30-demos.patch
Patch11: openmotif2.1.30-debug.patch
Patch12: openmotif2.1.30-ia64.patch
Patch13: openmotif2.1.30-imake.patch
Patch14: openmotif2.1.30-s390.patch
Patch15: salevin.patch
Patch16: largefile.patch
Patch17: openmotif2.1.30-popup_timeout.patch
Patch18: openmotif2.1.30-CAN-2004-0687-0688.patch
Patch19: openmotif2.1.30-CAN-2004-0914.patch
Patch20: openmotif2.1.30-CAN-2004-0914_sec8.patch
Patch21: openmotif2.1.30-CAN-2005-0605.patch
Patch22: openmotif2.1.30-CVE-2005-3964.patch
Prefix: /usr/X11R6

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%package devel
Summary: Open Motif development libraries and header files.
Group: Development/Libraries

%description devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q -n motif
%patch0 -p1 -b .pl1
%patch1 -p1 -b .pl2
%patch2 -p1 -b .pl3
%patch3 -p1 -b .pl4
%patch4 -p1 -b .pl5
%patch10 -p1 -b .demos
%patch11 -p1 -b .debug
%patch12 -p1 -b .ia64
%patch13 -p1 -b .imake
%patch14 -p1 -b .s390
%patch15 -p1 -b .display
%patch16 -p1 -b .largefile
%patch17 -p1 -b .popup_timeout
%patch18 -p1 -b .CAN-2004-0687-0688
%patch19 -p1 -b .CAN-2004-0914
%patch20 -p1 -b .CAN-2004-0914_sec8
%patch21 -p1 -b .CAN-2005-0605
%patch22 -p1 -b .CVE-2005-3964

%build
mkdir -p imports/x11
ln -s /usr/X11R6/bin imports/x11
ln -s /usr/X11R6/include imports/x11
ln -s /usr/X11R6/lib imports/x11
make BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS" World

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install.man

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{prefix}/bin/mwm
%{prefix}/bin/xmbind
%{prefix}/include/X11/bitmaps/*
%{prefix}/lib/X11/app-defaults/Mwm
%{prefix}/lib/X11/system.mwmrc
%{prefix}/lib/X11/bindings
%{prefix}/lib/lib*.so.*
%{prefix}/man/man1/mwm*
%{prefix}/man/man1/xmbind*

%files devel
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.so
%{prefix}/man/man1/uil.1*
%{prefix}/man/man3/*
%{prefix}/man/man5/*
%{prefix}/man/man7/*

%changelog
* Wed Mar 29 2006 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS.6
- fixed CVE-2005-3964: libUil buffer overflows (#180359)

* Mon Apr  4 2005 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS.5
- fixed possible libXpm overflows (#151641)

* Mon Nov 29 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS.4
- allow to write XPM files with absolute path names again (#140815)

* Wed Nov 17 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS.3
- latest Xpm patches: CAN-2004-0914 (#134631)

* Fri Oct 29 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS.2
- latest versions of CAN-2004-0687 and CAN-2004-0688 fixes

* Fri Oct 15 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS.1
- revised versions of CAN-2004-0687 and CAN-2004-0688

* Tue Oct  5 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-13.21AS
- fixed CAN-2004-0687 (integer overflows) and CAN-2004-0688 (stack overflows)
  in embedded Xpm library (#134631)

* Wed Jun 23 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-12
- fixed popup menus fail on Tarantella/VNC (#123027)

* Fri Jan 25 2002 Tim Powers <timp@redhat.com>
- don't obsolete lesstif anymore, play nicely together

* Wed Jan 21 2002 Than Ngo <than@redhat.com> 2.1.30-11
- add some patches from Darrell Commander (supporting largefile)
- fix to build on s390

* Thu Jan 17 2002 Than Ngo <than@redhat.com> 2.1.30-10
- rebuild in 8.0

* Wed Sep  6 2001 Than Ngo <than@redhat.com>
- rebuild for ExtraBinge 7.2

* Thu May 03 2001 Than Ngo <than@redhat.com>
- add 3 official motif patches 
- add rm -rf $RPM_BUILD_ROOT in install section
- remove some old patches which are now in official patches

* Fri Dec 29 2000 Than Ngo <than@redhat.com>
- don't build static debug libraries

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- bzip2 source

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-44

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- fix imake to built with gcc-2.96 (thanks Jakup)
- put bitmaps in /usr/X11R6/include/X11/bitmaps
- put bindings in /usr/X11R6/lib/Xm/bindings
- add define -D_GNU_SOURCE to build Motif
- gzip man pages
- cleanup specfile

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to patchlevel 2
- remove bindings patch, it's included in pl2

* Tue May 16 2000 Matt Wilson <msw@redhat.com>
- use -fPIC on sparc
- fixed Ngo's "fixes"

* Mon May 15 2000 Ngo Than <than@redhat.de>
- added description.
- fixed spec, added uil stuff.

* Mon May 15 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
